%define upstream_name    Unicode-Collate
%define upstream_version 1.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Weighting JIS KANJI for Unicode::Collate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module is an implementation of Unicode Technical Standard #10 (a.k.a.
UTS #10) - Unicode Collation Algorithm (a.k.a. UCA).

Constructor and Tailoring
    The 'new' method returns a collator object. If new() is called with no
    parameters, the collator should do the default collation.

       $Collator = Unicode::Collate->new(
          UCA_Version => $UCA_Version,
          alternate => $alternate, # alias for 'variable'
          backwards => $levelNumber, # or \@levelNumbers
          entry => $element,
          hangul_terminator => $term_primary_weight,
          ignoreName => qr/$ignoreName/,
          ignoreChar => qr/$ignoreChar/,
          ignore_level2 => $bool,
          katakana_before_hiragana => $bool,
          level => $collationLevel,
          normalization  => $normalization_form,
          overrideCJK => \&overrideCJK,
          overrideHangul => \&overrideHangul,
          preprocess => \&preprocess,
          rearrange => \@charList,
          rewrite => \&rewrite,
          suppress => \@charList,
          table => $filename,
          undefName => qr/$undefName/,
          undefChar => qr/$undefChar/,
          upper_before_lower => $bool,
          variable => $variable,
       );

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jul 10 2017 bb2 <bb2> - 1.140.0-4pclos2017
- rebuild against updates
